

<!DOCTYPE html>
<html class="writer-html5" lang="ru" >
<head>
  <meta charset="utf-8" />
  
<!-- Yandex.Metrika counter -->
<script async="" src="https://mc.yandex.ru/metrika/tag.js"></script>
<script type="text/javascript">
	(function(m,e,t,r,i,k,a){m[i]=m[i]||function(){(m[i].a=m[i].a||[]).push(arguments)};
	m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)})
	(window, document, "script", "https://mc.yandex.ru/metrika/tag.js", "ym");
 
	ym(88079149, "init", {
		 clickmap:true,
		 trackLinks:true,
		 accurateTrackBounce:true,
		 webvisor:true
	});
 </script>
 <noscript><div><img src="https://mc.yandex.ru/watch/88079149" style="position:absolute; left:-9999px;" alt="" /></div></noscript>
 <!-- /Yandex.Metrika counter -->



  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>1. Описание &mdash; документация pyOpenRPA v1.3.1 v1.3.1</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/translations.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Алфавитный указатель" href="../genindex.html" />
    <link rel="search" title="Поиск" href="../search.html" />
    <link rel="next" title="2. Функции UIDesktop" href="02_uidesktop.html" />
    <link rel="prev" title="2. Лицензия &amp; Контакты" href="../03_Copyrights_Contacts.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> pyOpenRPA v1.3.1
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Поиск в документации" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">ОБЩЕЕ</span></p>
<ul>
<li class="toctree-l1"><a class="reference external" href="https://pyopenrpa.ru/wiki/guide/index">Выбрать версию</a></li>
<li class="toctree-l1"><a class="reference internal" href="../01_HowToInstall.html">1. Первый запуск (Windows &amp; Linux)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../03_Copyrights_Contacts.html">2. Лицензия &amp; Контакты</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ РОБОТ</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">1. Описание</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#id2">Общее</a></li>
<li class="toctree-l2"><a class="reference internal" href="#id3">Примеры</a></li>
<li class="toctree-l2"><a class="reference internal" href="#id4">Быстрая навигация</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="02_uidesktop.html">2. Функции UIDesktop</a></li>
<li class="toctree-l1"><a class="reference internal" href="03_uiweb.html">3. Функции UIWeb</a></li>
<li class="toctree-l1"><a class="reference internal" href="04_keyboard.html">4. Функции Keyboard</a></li>
<li class="toctree-l1"><a class="reference internal" href="05_clipboard.html">5. Функции Clipboard</a></li>
<li class="toctree-l1"><a class="reference internal" href="06_mouse.html">6. Функции Mouse</a></li>
<li class="toctree-l1"><a class="reference internal" href="07_screen.html">7. Функции Screen</a></li>
<li class="toctree-l1"><a class="reference internal" href="08_audio.html">8. Функции Audio</a></li>
<li class="toctree-l1"><a class="reference internal" href="09_HowToUse.html">9. Как использовать?</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ СТУДИЯ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Studio/01_Studio.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Studio/02_HowToUse.html">2. Как использовать?</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ ОРКЕСТРАТОР</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/01_Orchestrator.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/02_Defs.html">2. Функции</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/03_gSettingsTemplate.html">3. Настройки GSettings (шаблон)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/04_HowToUse.html">4. Как использовать?</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/05_UAC.html">5. Права доступа пользователей UAC</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ АГЕНТ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Agent/02_Defs.html">2. Функции Agent</a></li>
</ul>
<p class="caption"><span class="caption-text">ИНСТРУМЕНТЫ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Tools/02_Defs.html">2. Функции StopSafe</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">pyOpenRPA v1.3.1</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>1. Описание</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/Robot/01_Robot.rst.txt" rel="nofollow"> Просмотреть исходный код страницы</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="module-robot-description">
<span id="id1"></span><h1>1. Описание<a class="headerlink" href="#module-robot-description" title="Ссылка на этот заголовок">¶</a></h1>
<div class="section" id="id2">
<h2>Общее<a class="headerlink" href="#id2" title="Ссылка на этот заголовок">¶</a></h2>
<p>Модуль обеспечивает всю необходимую функциональность для создания любого программного робота RPA. Модуль робота поставляется в качестве библиотеки Python, что позволяет с легкостью интегрировать его в другие проекты перспективных технологий.</p>
<p><strong>Содержит</strong></p>
<ul class="simple">
<li><p><strong>Уровень доступа к элементам локального приложения (win32, UI automation), и веб приложения</strong></p>
<ul>
<li><p>UIDesktop: инструменты взаимодействия с элементами локального приложения (взаимодействие с ОС через протоколы win32, UI automation). Перейти к описанию функций: <a class="reference internal" href="02_uidesktop.html#module-robot-uidesktop"><span class="std std-ref">2. Функции UIDesktop</span></a></p></li>
<li><p>UIWeb: инструменты взаимодействия с элементами веб приложения. Перейти к описанию функций: <a class="reference internal" href="03_uiweb.html#module-robot-uiweb"><span class="std std-ref">3. Функции UIWeb</span></a></p></li>
</ul>
</li>
<li><p><strong>Уровень доступа к текстовым каналам передачи данных (клавиатура, буфер обмена)</strong></p>
<ul>
<li><p>Keyboard: инструменты взаимодействия с клавиатурой. Перейти к описанию функций: <a class="reference internal" href="04_keyboard.html#module-robot-keyboard"><span class="std std-ref">4. Функции Keyboard</span></a></p></li>
<li><p>Clipboard: инструменты взаимодействия с буфером обмена. Перейти к описанию функций: <a class="reference internal" href="05_clipboard.html#module-robot-clipboard"><span class="std std-ref">5. Функции Clipboard</span></a></p></li>
</ul>
</li>
<li><p><strong>Уровень доступа к графическим каналам передачи данных (мышь, экран)</strong></p>
<ul>
<li><p>Mouse: инструменты взаимодействия с мышью. Перейти к описанию функций: <a class="reference internal" href="06_mouse.html#module-robot-mouse"><span class="std std-ref">6. Функции Mouse</span></a></p></li>
<li><p>Screen: инструменты взаимодействия с эраном рабочего стола. Перейти к описанию функций: <a class="reference internal" href="07_screen.html#module-robot-screen"><span class="std std-ref">7. Функции Screen</span></a></p></li>
</ul>
</li>
<li><p><strong>Уровень доступа к звуковым каналам передачи данных (микрофон, динамик)</strong></p>
<ul>
<li><p>Audio: инструменты взаимодействия с аудио. Перейти к описанию функций: <a class="reference internal" href="08_audio.html#module-robot-audio"><span class="std std-ref">8. Функции Audio</span></a></p></li>
</ul>
</li>
</ul>
<p>Дорогие коллеги!</p>
<p>Мы знаем, что с pyOpenRPA вы сможете существенно улучшить качество вашего бизнеса. Платформа роботизации pyOpenRPA - это разработка, которая дает возможность делать виртуальных сотрудников (программных роботов RPA) выгодными, начиная от эффекта всего в <strong>10 тыс. руб.</strong> И управлять ими будете только Вы!</p>
<p>Если у вас останутся вопросы, то вы всегда можете обратиться в центр поддержки клиентов pyOpenRPA. Контакты: <a class="reference internal" href="../03_Copyrights_Contacts.html#copyrights-contacts"><span class="std std-ref">2. Лицензия &amp; Контакты</span></a></p>
<p>pyOpenRPA - роботы помогут!</p>
</div>
<div class="section" id="id3">
<h2>Примеры<a class="headerlink" href="#id3" title="Ссылка на этот заголовок">¶</a></h2>
<p><strong>Ниже преставлен пример использования инструментов робота.</strong></p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="kn">import</span> <span class="nn">time</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIDesktop</span>

<span class="c1"># UIDesktop: Работа с 1С</span>
<span class="n">lDemoBaseSelector</span> <span class="o">=</span> <span class="p">[{</span><span class="s2">&quot;title&quot;</span><span class="p">:</span><span class="s2">&quot;Запуск 1С:Предприятия&quot;</span><span class="p">,</span><span class="s2">&quot;class_name&quot;</span><span class="p">:</span><span class="s2">&quot;V8TopLevelFrameTaxiStarter&quot;</span><span class="p">,</span><span class="s2">&quot;backend&quot;</span><span class="p">:</span><span class="s2">&quot;uia&quot;</span><span class="p">},{</span><span class="s2">&quot;title&quot;</span><span class="p">:</span><span class="s2">&quot;DEMO&quot;</span><span class="p">,</span> <span class="s2">&quot;depth_start&quot;</span><span class="p">:</span> <span class="mi">5</span><span class="p">,</span> <span class="s2">&quot;depth_end&quot;</span><span class="p">:</span> <span class="mi">5</span><span class="p">}]</span>
<span class="n">lDemoBase</span> <span class="o">=</span> <span class="n">UIDesktop</span><span class="o">.</span><span class="n">UIOSelector_Get_UIO</span><span class="p">(</span><span class="n">lDemoBaseSelector</span><span class="p">)</span>
<span class="n">lDemoBase</span><span class="o">.</span><span class="n">draw_outline</span><span class="p">()</span>
<span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="mf">2.0</span><span class="p">)</span>
<span class="n">lRunBaseSelector</span> <span class="o">=</span> <span class="p">[{</span><span class="s2">&quot;title&quot;</span><span class="p">:</span><span class="s2">&quot;Запуск 1С:Предприятия&quot;</span><span class="p">,</span><span class="s2">&quot;class_name&quot;</span><span class="p">:</span><span class="s2">&quot;V8TopLevelFrameTaxiStarter&quot;</span><span class="p">,</span><span class="s2">&quot;backend&quot;</span><span class="p">:</span><span class="s2">&quot;uia&quot;</span><span class="p">},{</span><span class="s2">&quot;title&quot;</span><span class="p">:</span><span class="s2">&quot;1С:Предприятие&quot;</span><span class="p">,</span> <span class="s2">&quot;depth_start&quot;</span><span class="p">:</span> <span class="mi">4</span><span class="p">,</span> <span class="s2">&quot;depth_end&quot;</span><span class="p">:</span> <span class="mi">4</span><span class="p">}]</span>
<span class="n">lRunBase</span> <span class="o">=</span> <span class="n">UIDesktop</span><span class="o">.</span><span class="n">UIOSelector_Get_UIO</span><span class="p">(</span><span class="n">lRunBaseSelector</span><span class="p">)</span>
<span class="n">lRunBase</span><span class="o">.</span><span class="n">draw_outline</span><span class="p">()</span>
<span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="mf">2.0</span><span class="p">)</span>
<span class="n">lRunBase</span><span class="o">.</span><span class="n">click_input</span><span class="p">()</span>

<span class="c1"># ОТКРЫТЬ ЗАКАЗЫ ПОКУПАТЕЛЕЙ</span>
<span class="n">lOrderNumberSelector</span> <span class="o">=</span> <span class="p">[{</span><span class="s2">&quot;title&quot;</span><span class="p">:</span><span class="s2">&quot;Управление нашей фирмой, редакция 1.6&quot;</span><span class="p">,</span><span class="s2">&quot;class_name&quot;</span><span class="p">:</span><span class="s2">&quot;V8TopLevelFrameSDI&quot;</span><span class="p">,</span><span class="s2">&quot;backend&quot;</span><span class="p">:</span><span class="s2">&quot;uia&quot;</span><span class="p">},{</span><span class="s2">&quot;title&quot;</span><span class="p">:</span><span class="s2">&quot;АСФР-000036 Номер&quot;</span><span class="p">,</span> <span class="s2">&quot;depth_start&quot;</span><span class="p">:</span> <span class="mi">13</span><span class="p">,</span> <span class="s2">&quot;depth_end&quot;</span><span class="p">:</span> <span class="mi">13</span><span class="p">}]</span>
<span class="n">UIDesktop</span><span class="o">.</span><span class="n">UIOSelector_Get_UIO</span><span class="p">(</span><span class="n">lOrderNumberSelector</span><span class="p">)</span><span class="o">.</span><span class="n">draw_outline</span><span class="p">()</span>
<span class="n">UIDesktop</span><span class="o">.</span><span class="n">UIOSelector_Get_UIO</span><span class="p">(</span><span class="n">lOrderNumberSelector</span><span class="p">)</span><span class="o">.</span><span class="n">double_click_input</span><span class="p">()</span>

<span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="mf">1.0</span><span class="p">)</span>
<span class="n">lCommentSelector</span> <span class="o">=</span> <span class="p">[{</span><span class="s2">&quot;title&quot;</span><span class="p">:</span><span class="s2">&quot;Управление нашей фирмой, редакция 1.6&quot;</span><span class="p">,</span><span class="s2">&quot;class_name&quot;</span><span class="p">:</span><span class="s2">&quot;V8TopLevelFrameSDI&quot;</span><span class="p">,</span><span class="s2">&quot;backend&quot;</span><span class="p">:</span><span class="s2">&quot;uia&quot;</span><span class="p">},{</span><span class="s2">&quot;control_type&quot;</span><span class="p">:</span><span class="s2">&quot;Pane&quot;</span><span class="p">},{</span><span class="s2">&quot;control_type&quot;</span><span class="p">:</span><span class="s2">&quot;Pane&quot;</span><span class="p">},{</span><span class="s2">&quot;control_type&quot;</span><span class="p">:</span><span class="s2">&quot;Pane&quot;</span><span class="p">},{</span><span class="s2">&quot;control_type&quot;</span><span class="p">:</span><span class="s2">&quot;Pane&quot;</span><span class="p">},{</span><span class="s2">&quot;control_type&quot;</span><span class="p">:</span><span class="s2">&quot;Pane&quot;</span><span class="p">},{</span><span class="s2">&quot;control_type&quot;</span><span class="p">:</span><span class="s2">&quot;Pane&quot;</span><span class="p">},{</span><span class="s2">&quot;control_type&quot;</span><span class="p">:</span><span class="s2">&quot;Pane&quot;</span><span class="p">},{</span><span class="s2">&quot;title&quot;</span><span class="p">:</span><span class="s2">&quot;&quot;</span><span class="p">,</span><span class="s2">&quot;control_type&quot;</span><span class="p">:</span><span class="s2">&quot;Edit&quot;</span><span class="p">,</span> <span class="s2">&quot;depth_start&quot;</span><span class="p">:</span> <span class="mi">1</span><span class="p">,</span> <span class="s2">&quot;depth_end&quot;</span><span class="p">:</span> <span class="mi">10</span><span class="p">}]</span>
<span class="n">UIDesktop</span><span class="o">.</span><span class="n">UIOSelector_Get_UIO</span><span class="p">(</span><span class="n">lCommentSelector</span><span class="p">)</span><span class="o">.</span><span class="n">draw_outline</span><span class="p">()</span>
<span class="n">UIDesktop</span><span class="o">.</span><span class="n">UIOSelector_Get_UIO</span><span class="p">(</span><span class="n">lCommentSelector</span><span class="p">)</span><span class="o">.</span><span class="n">set_edit_text</span><span class="p">(</span><span class="s2">&quot;Заказ исполнен роботом&quot;</span><span class="p">)</span>

<span class="c1"># UIWeb: Работа с браузером</span>
<span class="c1"># WIKI TO DO</span>

<span class="c1"># Keyboard: Взаимодействие с клавиатурой</span>
<span class="kn">import</span> <span class="nn">ctypes</span>  <span class="c1"># An included library with Python install.</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Keyboard</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Clipboard</span>
<span class="n">Keyboard</span><span class="o">.</span><span class="n">send</span><span class="p">(</span><span class="s2">&quot;win+r&quot;</span><span class="p">)</span>
<span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="mf">0.3</span><span class="p">)</span>
<span class="n">Keyboard</span><span class="o">.</span><span class="n">write</span><span class="p">(</span><span class="s2">&quot;cmd&quot;</span><span class="p">)</span>
<span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="mf">0.3</span><span class="p">)</span>
<span class="n">Keyboard</span><span class="o">.</span><span class="n">send</span><span class="p">(</span><span class="s2">&quot;enter&quot;</span><span class="p">)</span>
<span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="mf">0.6</span><span class="p">)</span>
<span class="n">Keyboard</span><span class="o">.</span><span class="n">write</span><span class="p">(</span><span class="s2">&quot;echo %time%&quot;</span><span class="p">)</span>
<span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="mf">0.3</span><span class="p">)</span>
<span class="n">Keyboard</span><span class="o">.</span><span class="n">send</span><span class="p">(</span><span class="s2">&quot;enter&quot;</span><span class="p">)</span>
<span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="mf">0.3</span><span class="p">)</span>
<span class="n">Keyboard</span><span class="o">.</span><span class="n">send</span><span class="p">(</span><span class="s2">&quot;ctrl+a&quot;</span><span class="p">)</span>
<span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="mf">0.6</span><span class="p">)</span>
<span class="n">Clipboard</span><span class="o">.</span><span class="n">ClipboardSet</span><span class="p">(</span><span class="s2">&quot;&quot;</span><span class="p">)</span>
<span class="n">Keyboard</span><span class="o">.</span><span class="n">send</span><span class="p">(</span><span class="s2">&quot;ctrl+c&quot;</span><span class="p">)</span>
<span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="mf">0.6</span><span class="p">)</span>
<span class="n">lTextRaw</span> <span class="o">=</span> <span class="n">Clipboard</span><span class="o">.</span><span class="n">ClipboardGet</span><span class="p">()</span>
<span class="n">lTimeStr</span> <span class="o">=</span> <span class="n">lTextRaw</span><span class="o">.</span><span class="n">split</span><span class="p">(</span><span class="s2">&quot;</span><span class="se">\n</span><span class="s2">&quot;</span><span class="p">)[</span><span class="o">-</span><span class="mi">3</span><span class="p">]</span>

<span class="k">def</span> <span class="nf">msg_box</span><span class="p">(</span><span class="n">title</span><span class="p">,</span> <span class="n">text</span><span class="p">,</span> <span class="n">style</span><span class="p">):</span>
        <span class="k">return</span> <span class="n">ctypes</span><span class="o">.</span><span class="n">windll</span><span class="o">.</span><span class="n">user32</span><span class="o">.</span><span class="n">MessageBoxW</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span> <span class="n">text</span><span class="p">,</span> <span class="n">title</span><span class="p">,</span> <span class="n">style</span><span class="p">)</span>
<span class="n">msg_box</span><span class="p">(</span><span class="s1">&#39;Робот на клавиатуре&#39;</span><span class="p">,</span> <span class="sa">f</span><span class="s1">&#39;Робот извлек время из консоли: </span><span class="si">{</span><span class="n">lTimeStr</span><span class="si">}</span><span class="s1">&#39;</span><span class="p">,</span> <span class="mi">0</span><span class="p">)</span>

<span class="c1"># Mouse: Взаимодействие с мышью</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">Mouse</span>
<span class="c1"># Нарисовать букву Я</span>
<span class="n">x</span> <span class="o">=</span> <span class="o">-</span><span class="mi">50</span>
<span class="n">y</span> <span class="o">=</span> <span class="mi">150</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">mouseDown</span><span class="p">(</span><span class="n">x</span><span class="o">+</span><span class="mi">100</span><span class="p">,</span><span class="n">y</span><span class="o">+</span><span class="mi">0</span><span class="p">)</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">moveTo</span><span class="p">(</span><span class="n">x</span><span class="o">+</span><span class="mi">100</span><span class="p">,</span><span class="n">y</span><span class="o">+</span><span class="mi">100</span><span class="p">)</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">moveTo</span><span class="p">(</span><span class="n">x</span><span class="o">+</span><span class="mi">100</span><span class="p">,</span><span class="n">y</span><span class="o">+</span><span class="mi">50</span><span class="p">)</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">moveTo</span><span class="p">(</span><span class="n">x</span><span class="o">+</span><span class="mi">80</span><span class="p">,</span><span class="n">y</span><span class="o">+</span><span class="mi">30</span><span class="p">)</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">moveTo</span><span class="p">(</span><span class="n">x</span><span class="o">+</span><span class="mi">100</span><span class="p">,</span><span class="n">y</span><span class="o">+</span><span class="mi">0</span><span class="p">)</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">moveTo</span><span class="p">(</span><span class="n">x</span><span class="o">+</span><span class="mi">100</span><span class="p">,</span><span class="n">y</span><span class="o">+</span><span class="mi">50</span><span class="p">)</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">moveTo</span><span class="p">(</span><span class="n">x</span><span class="o">+</span><span class="mi">80</span><span class="p">,</span><span class="n">y</span><span class="o">+</span><span class="mi">100</span><span class="p">)</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">mouseUp</span><span class="p">()</span>

<span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="mf">0.5</span><span class="p">)</span>
<span class="c1"># Нарисовать :)</span>
<span class="n">x</span> <span class="o">=</span> <span class="mi">230</span>
<span class="n">y</span> <span class="o">=</span> <span class="mi">150</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">mouseDown</span><span class="p">(</span><span class="n">x</span><span class="o">+</span><span class="mi">0</span><span class="p">,</span><span class="n">y</span><span class="o">+</span><span class="mi">0</span><span class="p">)</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">moveTo</span><span class="p">(</span><span class="n">x</span><span class="o">+</span><span class="mi">0</span><span class="p">,</span><span class="n">y</span><span class="o">+</span><span class="mi">75</span><span class="p">)</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">mouseUp</span><span class="p">()</span>

<span class="n">Mouse</span><span class="o">.</span><span class="n">mouseDown</span><span class="p">(</span><span class="n">x</span><span class="o">+</span><span class="mi">75</span><span class="p">,</span><span class="n">y</span><span class="o">+</span><span class="mi">0</span><span class="p">)</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">moveTo</span><span class="p">(</span><span class="n">x</span><span class="o">+</span><span class="mi">75</span><span class="p">,</span><span class="n">y</span><span class="o">+</span><span class="mi">75</span><span class="p">)</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">mouseUp</span><span class="p">()</span>

<span class="n">Mouse</span><span class="o">.</span><span class="n">mouseDown</span><span class="p">(</span><span class="n">x</span><span class="o">-</span><span class="mi">30</span><span class="p">,</span><span class="n">y</span><span class="o">+</span><span class="mi">90</span><span class="p">)</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">moveTo</span><span class="p">(</span><span class="n">x</span><span class="o">+</span><span class="mi">40</span><span class="p">,</span><span class="n">y</span><span class="o">+</span><span class="mi">130</span><span class="p">)</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">moveTo</span><span class="p">(</span><span class="n">x</span><span class="o">+</span><span class="mi">105</span><span class="p">,</span><span class="n">y</span><span class="o">+</span><span class="mi">90</span><span class="p">)</span>
<span class="n">Mouse</span><span class="o">.</span><span class="n">mouseUp</span><span class="p">()</span>
</pre></div>
</div>
</div>
<div class="section" id="id4">
<h2>Быстрая навигация<a class="headerlink" href="#id4" title="Ссылка на этот заголовок">¶</a></h2>
<ul class="simple">
<li><p><a class="reference external" href="https://t.me/pyOpenRPA">Сообщество pyOpenRPA (telegram)</a></p></li>
<li><p><a class="reference external" href="https://tenchat.ru/iMaslov?utm_source=19f2a84f-3268-437f-950c-d987ae42af24">Сообщество pyOpenRPA (tenchat)</a></p></li>
<li><p><a class="reference external" href="https://vk.com/pyopenrpa">Сообщество pyOpenRPA (вконтакте)</a></p></li>
<li><p><a class="reference external" href="https://pyopenrpa.ru/Index/pyOpenRPA_product_service.pdf">Презентация pyOpenRPA</a></p></li>
<li><p><a class="reference external" href="https://pyopenrpa.ru">Портал pyOpenRPA</a></p></li>
<li><p><a class="reference external" href="https://gitlab.com/UnicodeLabs/OpenRPA">Репозиторий pyOpenRPA</a></p></li>
</ul>
<p>		.. v1.3.1 replace:: v1.3.1</p>
<p></p>
</div>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="02_uidesktop.html" class="btn btn-neutral float-right" title="2. Функции UIDesktop" accesskey="n" rel="next">Следующая <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
        <a href="../03_Copyrights_Contacts.html" class="btn btn-neutral float-left" title="2. Лицензия &amp; Контакты" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Предыдущая</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2022, ООО &#34;ОПЕН РПА&#34;.

    </p>
  </div>
    
    
    
    Собрано при помощи <a href="https://www.sphinx-doc.org/">Sphinx</a> с использованием
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">темы,</a>
    
    предоставленной <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>